org.apache.hadoop.ipc.proto

## Class GenericRefreshProtocolProtos

- java.lang.Object
- - org.apache.hadoop.ipc.proto.GenericRefreshProtocolProtos

-     public final class GenericRefreshProtocolProtos
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenericRefreshProtocolProtos.GenericRefreshProtocolService` Protobuf service `hadoop.common.GenericRefreshProtocolService`
    `static class` | `GenericRefreshProtocolProtos.GenericRefreshRequestProto` Protobuf type `hadoop.common.GenericRefreshRequestProto`
    `static interface` | `GenericRefreshProtocolProtos.GenericRefreshRequestProtoOrBuilder`
    `static class` | `GenericRefreshProtocolProtos.GenericRefreshResponseCollectionProto` Protobuf type `hadoop.common.GenericRefreshResponseCollectionProto`
    `static interface` | `GenericRefreshProtocolProtos.GenericRefreshResponseCollectionProtoOrBuilder`
    `static class` | `GenericRefreshProtocolProtos.GenericRefreshResponseProto` Protobuf type `hadoop.common.GenericRefreshResponseProto`
    `static interface` | `GenericRefreshProtocolProtos.GenericRefreshResponseProtoOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.